summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Daniel de Kok2010-05-11 15:18:35 +0200
committer Robby Workman2010-05-11 15:18:35 +0200
commit9496aebf6cf79fb67dc3823086d5ba8873f88763 (patch)
treef4090907be2a6c5f16b24bf5333462291aabfcea
parentf77a02c7afbff16774c0fc6301b9db34ebd1070a (diff)
downloadslackbuilds-9496aebf6cf79fb67dc3823086d5ba8873f88763.tar.gz
system/cryptsetup-luks: Initial import
-rw-r--r--system/cryptsetup-luks/README12
-rw-r--r--system/cryptsetup-luks/cryptsetup-luks.SlackBuild76
-rw-r--r--system/cryptsetup-luks/cryptsetup-luks.info8
-rw-r--r--system/cryptsetup-luks/slack-desc19
4 files changed, 115 insertions, 0 deletions
diff --git a/system/cryptsetup-luks/README b/system/cryptsetup-luks/README
new file mode 100644
index 0000000000..657d80a4c6
--- /dev/null
+++ b/system/cryptsetup-luks/README
@@ -0,0 +1,12 @@
+cryptsetup-luks is a utility that is used for managing encrypted
+partitions and volumes. It was originally based on cryptsetup, and
+adds support for LUKS (Linux Unified Key Setup). LUKS is a standard
+on-disk format that stores all necessary setup information in the
+partition header.
+
+To compile this package, the device-mapper package is required. This
+package is available from the extra/lvm2 directory of your Slackware
+Linux 11.0 distribution medium. Actually, cryptsetup-luks will compile
+without having this package installed, but it won't be able to do
+anything useful, because it cannot map a device for a crypto device.
+
diff --git a/system/cryptsetup-luks/cryptsetup-luks.SlackBuild b/system/cryptsetup-luks/cryptsetup-luks.SlackBuild
new file mode 100644
index 0000000000..0de1e8285b
--- /dev/null
+++ b/system/cryptsetup-luks/cryptsetup-luks.SlackBuild
@@ -0,0 +1,76 @@
+#!/bin/sh
+
+# Slackware build script for cryptsetup-luks
+
+# Copyright (c) 2007 Daniel de Kok <moc.mikciat@leinad>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Exit on most errors
+set -e
+
+PRGNAM=cryptsetup-luks
+VERSION=1.0.4
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xjvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var
+
+make
+make install-strip DESTDIR=$PKG
+
+# Delete empty directory
+rm -rf $PKG/usr/lib/cryptsetup
+
+gzip -9 $PKG/usr/man/man8/cryptsetup.8
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL NEWS README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/cryptsetup-luks/cryptsetup-luks.info b/system/cryptsetup-luks/cryptsetup-luks.info
new file mode 100644
index 0000000000..5520bacfe9
--- /dev/null
+++ b/system/cryptsetup-luks/cryptsetup-luks.info
@@ -0,0 +1,8 @@
+PRGNAM="cryptsetup-luks"
+VERSION="1.0.4"
+HOMEPAGE="ohttp://luks.endorphin.org/"
+DOWNLOAD="http://luks.endorphin.org/source/cryptsetup-luks-1.0.4.tar.bz2"
+MD5SUM="156ae6b618438ee9feeddc6c2bdc4e94"
+MAINTAINER="Daniel de Kok"
+EMAIL="danieldk@pobox.com"
+APPROVED="robw810"
diff --git a/system/cryptsetup-luks/slack-desc b/system/cryptsetup-luks/slack-desc
new file mode 100644
index 0000000000..94a4213f5c
--- /dev/null
+++ b/system/cryptsetup-luks/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+cryptsetup-luks: cryptsetup-luks (disk encryption management)
+cryptsetup-luks:
+cryptsetup-luks: cryptsetup-luks is a utility that is used for managing encrypted
+cryptsetup-luks: partitions and volumes. It was originally based on cryptsetup, and
+cryptsetup-luks: adds support for LUKS (Linux Unified Key Setup). LUKS is a standard
+cryptsetup-luks: on-disk format that stores all necessary setup information in the
+cryptsetup-luks: partition header.
+cryptsetup-luks:
+cryptsetup-luks: The cryptsetup-luks website is available at:
+cryptsetup-luks: http://luks.endorphin.org/
+cryptsetup-luks: